# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit gnome.org gnome2-utils meson python-any-r1 xdg

DESCRIPTION="A distraction free Markdown editor"
HOMEPAGE="https://gitlab.gnome.org/World/apostrophe"
SRC_URI="https://gitlab.gnome.org/World/${PN}/-/archive/v${PV}/${PN}-v${PV}.tar.bz2"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="x11-libs/gtk+:3
		dev-libs/glib
		net-libs/webkit-gtk:4"
RDEPEND="${DEPEND}
		dev-python/pypandoc"
BDEPEND="dev-lang/sassc"

S="${WORKDIR}/${PN}-v${PV}"

pkg_postinst() {
        xdg_pkg_postinst
        gnome2_schemas_update
}

pkg_postrm() {
        xdg_pkg_postrm
        gnome2_schemas_update
}
